package com.neko.domain.pojo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * 用户表
 * @TableName user
 */
@TableName(value ="user")
@Data
public class User implements Serializable {
    /**
     *
     */
    @TableId
    private String id;

    /**
     * 盐
     */
    private String salt;

    /**
     * 用户名（neko号）
     */
    private String username;

    /**
     * 密码
     */
    private String password;

    /**
     * 手机号
     */
    private String phone;

    /**
     * 邮箱
     */
    private String email;

    /**
     * 状态 1正常 0封禁 2注销
     */
    private Integer status;

    /**
     * 注册时间
     */
    private Date registertime;

    /**
     * 注册IP
     */
    private String registerip;

    /**
     * 是否实名
     */
    private Integer isAuthSf;

    /**
     * 最后登录时间
     */
    private Date lastLoginTime;

    private Date createTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;

    @TableField(exist = false)
    private UserProfile profiles;
}
