package com.neko.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.neko.domain.pojo.FriendRelation;
import com.neko.domain.vo.RequestFriendVo;

import java.util.List;

/**
* @author 金聪
* @description 针对表【friend_relation(好友关系表)】的数据库操作Mapper
* @createDate 2025-05-18 20:59:28
* @Entity com.neko.domain.FriendRelation
*/
public interface FriendRelationMapper extends BaseMapper<FriendRelation> {
    List<FriendRelation> findFriendList(RequestFriendVo requestFriend);
}




