package com.neko.utils;

import com.neko.domain.pojo.User;

/**
 * @Date 2025/5/20 14:27
 * @Author neko
 **/
public class UserThreadLocalhostUtil {
    private final static ThreadLocal<String> WM_USER_THREAD_LOCAL = new ThreadLocal<>();

    /**
     * 设置值
     */
    public static void setUser(String id){
        //map.set 当前线程,value
        WM_USER_THREAD_LOCAL.set(id);
    }

    /**
     * 获取值
     */
    public static String getUser(){
        //map.set 当前线程,value
        return WM_USER_THREAD_LOCAL.get();
    }

    //清理 remove
    public static void remove(){
        WM_USER_THREAD_LOCAL.remove();
    }
}
